# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section		free
%define svndate		20060516
%define name		tuscany
%define repo_dir 	m2_home_local/repository
%define version_name    incubating-M1

Name:		%{name}
Version:	0.incubating.M1
Release:	0.%{svndate}.3jpp
Epoch:		0
Summary:	Tuscany Project
License:	Apache Software License 2.0
Url:		http://incubator.apache.org/tuscany/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{svndate}-src.tar.gz
# svn export http://svn.apache.org/repos/asf/incubator/tuscany/java
Source1:	tus_jar_repo.tar.gz
Source2:	tus_pom_repo.tar.gz
Source3:	%{name}-mapdeps.xsl
Source4:	%{name}-depmap.xml
Source5:	maven2-settings.xml
Source6:	m2_jar_repo.tar.gz
Source7:	m2_pom_repo.tar.gz
Source8:	demo_server.xml

Patch0: tuscany-20060516-bindings-pom_xml.patch
Patch1: tuscany-20060516-sunjars-build_xml.patch
Patch2: tuscany-20060516-binding.axis2-pom_xml.patch
Patch3: tuscany-20060516-sunjars-pom_xml.patch
Patch4: tuscany-20060516-tomcat-overlay-pom_xml.patch
Patch5: tuscany-20060516-tuscany-polish-pom_xml.patch
Patch6: tuscany-20060516-helloworldweb-pom_xml.patch
Patch7: tuscany-20060516-bigbank-pom_xml.patch
Patch8: tuscany-20060516-helloworldws-pom_xml.patch
Patch9: tuscany-20060516-tools-pom_xml.patch
Patch10: tuscany-20060516-sca-pom_xml.patch

BuildRequires:	maven2 >= 0:2.0
BuildRequires:	java-devel >= 0:1.5
BuildRequires:  jpackage-utils >= 0:1.6


BuildRequires:	annogen >= 0.1.1
BuildRequires:	ant >= 1.6.5
BuildRequires:	ant-jakarta-regexp
#BuildRequires:	antlr >= 2.7.4
BuildRequires:	apache-axiom >= 1.0
BuildRequires:	asm2 >= 2.1
BuildRequires:	axis2 >= 1.0
BuildRequires:	bea-stax-api >= 1.2.0-0.rc1
BuildRequires:	bsh >= 1.3.0
#BuildRequires:	cglib >= 2.1.3
#BuildRequires:	checkstyle >= 4.1
#BuildRequires:	checkstyle-optional >= 4.1
#BuildRequires:	classpathx-jaf >= 1.0
#BuildRequires:	classpathx-mail >= 1.1
BuildRequires:	classworlds >= 1.1-0.a2
BuildRequires:	concurrent >= 1.3.4
BuildRequires:	derby >= 10.0.2.1
#BuildRequires:	eclipse-emf-xsd
#BuildRequires:	eclipse-emf-sdo
#BuildRequires:	eclipse-platform
BuildRequires:	geronimo-j2ee-connector-1.5-api >= 1.0
#BuildRequires:	geronimo-j2ee-management-1.0-api >= 1.0
#BuildRequires:	geronimo-jacc-1.0-api >= 1.0
#BuildRequires:	geronimo-jaf-1.0.2-api >= 1.0
#BuildRequires:	geronimo-jms-1.1-api >= 1.0
BuildRequires:	geronimo-jta-1.0.1B-api >= 1.0
#BuildRequires:	geronimo-modules
#BuildRequires:	jakarta-commons-beanutils >= 1.7.0
BuildRequires:	jakarta-commons-codec >= 1.3
BuildRequires:	jakarta-commons-collections >= 3.1
#BuildRequires:	jakarta-commons-dbcp >= 1.2.1
BuildRequires:	jakarta-commons-httpclient >= 3.0
#BuildRequires:	jakarta-commons-io >= 1.1-0.20051005
BuildRequires:	jakarta-commons-logging >= 1.0.4
BuildRequires:	jakarta-commons-modeler >= 1.1
BuildRequires:	jakarta-commons-net >= 1.2.2
#BuildRequires:	jakarta-commons-pool >= 1.2
#BuildRequires:	jakarta-commons-primitives >= 1.0
BuildRequires:	jakarta-commons-validator >= 1.1.4
BuildRequires:	junit >= 3.8.2
BuildRequires:	log4j >= 1.2.13
BuildRequires:	maven-doxia >= 1.0-0.a7
BuildRequires:	maven2-plugin-antrun >= 2.0.4
BuildRequires:	maven2-plugin-resources >= 2.0.4
BuildRequires:	maven2-plugin-clean >= 2.0.4
BuildRequires:	maven2-plugin-compiler >= 2.0.4
BuildRequires:	maven2-plugin-antrun >= 2.0.4
BuildRequires:	maven2-plugin-install >= 2.0.4
BuildRequires:	maven2-plugin-jar >= 2.0.4
BuildRequires:	maven2-plugin-eclipse >= 2.0.4
BuildRequires:	maven2-plugin-plugin >= 2.0.4
BuildRequires:	maven2-plugin-surefire >= 2.0.4
BuildRequires:	maven2-plugin-site >= 2.0.4
BuildRequires:	maven2-plugin-war >= 2.0.4
BuildRequires:	maven-wagon >= 1.0-0.a5
BuildRequires:	neethi >= 1.0.1
BuildRequires:	oro >= 2.0.8
BuildRequires:	plexus-archiver >= 1.0-0.a3
BuildRequires:	plexus-compiler >= 1.5.2
BuildRequires:	plexus-container-default >= 1.0-0.a8
BuildRequires:	plexus-i18n >= 1.0-0.b6
BuildRequires:	plexus-utils >= 1.0.4
BuildRequires:	plexus-velocity >= 1.1.2
BuildRequires:	qdox >= 1.5
BuildRequires:	regexp >= 1.3
BuildRequires:	rhino >= 1.6-0.r2
BuildRequires:	saxon-scripts >= 6.5.3
#BuildRequires:	spring >= 1.2.6
#BuildRequires:	spring-all >= 1.2.6
#BuildRequires:	spring-beans >= 1.2.6
#BuildRequires:	spring-core >= 1.2.6
BuildRequires:	tomcat5-common-lib >= 5.5.17
BuildRequires:	tomcat5-jsp-2.0-api >= 5.5.17
BuildRequires:	tomcat5-server-lib >= 5.5.17
BuildRequires:	tomcat5-servlet-2.4-api >= 5.5.17
BuildRequires:	ws-commons-policy >= 1.0-0.20060119
BuildRequires:	ws-commons-XmlSchema >= 1.0.2
BuildRequires:	wsdl4j >= 1.5.2
#BuildRequires:	ws-jaxme >= 0.5.1
BuildRequires:	wstx >= 2.9.3
BuildRequires:	xmlbeans >= 2.1.0

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tuscany is an open source project implementing a 
Service Component Architecture.

%package das-rdb
Summary:        Tuscany DAS for Relational Databases
Group:		Development/Libraries/Application Frameworks

%description das-rdb
%{summary}.

%package sca-binding-axis2
Summary:        Tuscany Axis2 Binding
Group:		Development/Libraries/Application Frameworks

%description sca-binding-axis2
%{summary}.

#%package sca-binding-celtix
#Summary:        Tuscany Celtix Binding
#Group:		Development/Libraries/Application Frameworks
#
#%description sca-binding-celtix
#%{summary}.

%package sca-binding-jsonrpc
Summary:        Tuscany JSON-RPC Binding
Group:		Development/Libraries/Application Frameworks

%description sca-binding-jsonrpc
%{summary}.

%package sca-container-java
Summary:        Tuscany Java IoC Container
Group:		Development/Libraries/Application Frameworks

%description sca-container-java
%{summary}.

%package sca-container-rhino
Summary:        Tuscany Rhino JavaScript Container
Group:		Development/Libraries/Application Frameworks

%description sca-container-rhino
%{summary}.

%package sca
Summary:        Tuscany SCA Implementation
Group:		Development/Libraries/Application Frameworks

%description sca
%{summary}.

%package sca-maven-plugin
Summary:        Tuscany SCA Maven Plugin
Group:		Development/Libraries/Application Frameworks

%description sca-maven-plugin
%{summary}.

%package sdo
Summary:        Tuscany SDO Implementation
Group:		Development/Libraries/Application Frameworks

%description sdo
%{summary}.

%package sdo-maven-plugin
Summary:        Tuscany SDO Maven Plugin
Group:		Development/Libraries/Application Frameworks

%description sdo-maven-plugin
%{summary}.

%package specs
Summary:        Tuscany SCA/SDO API Specifications
Group:		Development/Libraries/Application Frameworks

%description specs
%{summary}.

%package demo
Summary:        Tuscany Samples
Group:		Development/Libraries/Application Frameworks

%description demo
%{summary}.

#%package javadoc
#Summary:        Javadoc for %{name}
#Group:          Development/Documentation
#
#%description javadoc
#%{summary}.

#%package manual
#Summary:        Documents for %{name}
#Group:          Development/Documentation
#
#%description manual
#%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{svndate}-src
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#	mv $j $j.no
#done

#tar xzf %{SOURCE0}
tar xzf %{SOURCE1}
tar xzf %{SOURCE2}

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav

%build

cp %{SOURCE5} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/tus_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

for p in $(find . -name "*.pom"); do
    pushd $(dirname $p)
    bp=`basename $p`
    cp $bp $bp.orig
    /usr/bin/saxon -o $bp $bp.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name "*pom.xml"); do
    pushd $(dirname $p)
    bp=`basename $p`
    cp $bp $bp.orig
    /usr/bin/saxon -o $bp $bp.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

tar xzf %{SOURCE6}
tar xzf %{SOURCE7}

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

MVN=/usr/bin/mvn
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/%{repo_dir}
export MAVEN_OPTS="-Dmaven.repo.local=$MAVEN_REPO_LOCAL -Dmaven2.jpp.mode=true -Dmaven.test.failure.ignore=true"
#export MAVEN_OPTS="-Dmaven.repo.local=$MAVEN_REPO_LOCAL -Dmaven2.jpp.mode=true -Dmaven2.jpp.default.repo=`pwd`/tus_repo/repository -Dmaven.test.failure.ignore=true -Dmaven2.jpp.pom.path=JPP/maven2/poms"
#export MAVEN_OPTS="-Dmaven.repo.local=$MAVEN_REPO_LOCAL -Dmaven2.jpp.mode=true -Dmaven2.jpp.default.pom.path=JPP/tuscany/default_poms -Dmaven2.jpp.pom.path=JPP/tuscany/poms -Dmaven2.jpp.default.repo=`pwd`/m2_repo/repository -Dmaven.test.failure.ignore=true"

${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS} clean:clean
#[START] Reactor build order:
#[START]  OSOA Specification API jars
pushd spec
#[START]  SDO API
pushd sdo
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    SDO API
popd
#[START]  SCA API
pushd sca
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    SCA API
popd
#[END]    OSOA Specification API jars
popd
#[START]  Tuscany Project
pwd
#[START]  Tuscany SDO Implementation Project
pushd sdo
#[START]  Tuscany SDO Implementation
pushd impl
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany SDO Implementation
popd
#[START]  Tuscany SDO Tools
pushd tools
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany SDO Tools
popd
#[START]  Tuscany SDO Maven Plugin
pushd plugin
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany SDO Maven Plugin
popd
#[END]    Tuscany SDO Implementation Project
popd
#[START]  Tuscany DAS
pushd das
#[START]  Tuscany DAS for Relational Databases
pushd rdb
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany DAS for Relational Databases
popd
#[END]    Tuscany DAS Samples
popd
#[START]  Tuscany Samples
pushd samples
#[START]  Tuscany DAS Samples
pushd das
#[START]  Tuscany DAS sample Company WEB
pushd companyweb
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany DAS sample Company WEB
popd
#[END]    Tuscany DAS Samples
popd
#[END]    Tuscany Samples
popd
#[START]  Tuscany SCA Implementation Project
pushd sca
#[START]  Tuscany Common
pushd common
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Common
popd
#[START]  Tuscany Assembly Model
pushd model
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Assembly Model
popd
#[START]  Tuscany Core
pushd core
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Core
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Project to install the Sun jars
pushd sunjars
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Project to install the Sun jars
popd
#[END]  Tuscany SCA Bindings
popd
#[START]  Tuscany SCA Data Bindings
pushd databinding
#[START]  Tuscany Data Binding based on SDO
pushd sdo
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Data Binding based on SDO
popd
#[END]    Tuscany SCA Data Bindings
popd
#[START]  Tuscany SCA Containers
pushd containers
#[START]  Tuscany Java IoC Container
pushd container.java
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Java IoC Container
popd
#[END]    Tuscany SCA Containers
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Tuscany Axis2 Binding
pushd binding.axis2
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Axis2 Binding
popd
#[END]    Tuscany SCA Bindings
popd
#[START]  Tuscany Apache Tomcat Integration
pushd tomcat
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Apache Tomcat Integration
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Tuscany JSON-RPC Binding
pushd binding.jsonrpc
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany JSON-RPC Binding
popd
##[START]  Tuscany Celtix Binding
#pushd binding.celtix
#${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
##[END]    Tuscany Celtix Binding
#popd
#[END]    Tuscany SCA Bindings
popd
#[START]  Tuscany SCA Containers
pushd containers
#[START]  Tuscany Rhino JavaScript Container
pushd container.rhino
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Rhino JavaScript Container
popd
#[END]    Tuscany SCA Containers
popd
#[START]  Tuscany SCA Tools
pushd tools
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany SCA Tools
popd
#[START]  Tuscany SCA Maven Plugin
pushd plugins
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany SCA Maven Plugin
popd
#[END]    Tuscany SCA
popd
#[START]  Tuscany Samples
pushd samples
#[START]  Tuscany SCA Samples
pushd sca
#[START]  Tuscany HelloWorld Sample
pushd helloworld
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld Sample
popd
#[START]  Tuscany HelloWorld Web Application Sample
pushd helloworldweb
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld Web Application Sample
popd
#[START]  Tuscany Calculator Sample
pushd calculator
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Calculator Sample
popd
#[START]  Tuscany Customer Info Sample
pushd customerinfo
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Customer Info Sample
popd
#[START]  Tuscany HelloWorld Web Service Sample
pushd helloworldws
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld Web Service Sample
popd
##[START]  Tuscany HelloWorld Celtix Web Service Sample
#pushd helloworldws-celtix
#${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
##[END]    Tuscany HelloWorld Celtix Web Service Sample
##popd
#[START]  Tuscany HelloWorld e4xws Sample
pushd helloworlde4xws
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld e4xws Sample
popd
#[START]  Tuscany HelloWorld JMS
##pushd helloworld-jms
##${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
##[END]    Tuscany HelloWorld JMS
##popd
#[START]  Tuscany HelloWorld JS Client
pushd helloworldjsclient
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld JS Client
popd
#[START]  Tuscany HelloWorld Web Service Client Sample
pushd helloworldwsclient
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld Web Service Client Sample
popd
#[START]  Tuscany Supply Chain Sample
pushd supplychain
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany Supply Chain Sample
popd
#[START]  Tuscany HelloWorld JSON-RPC Sample
pushd helloworldjsonrpc
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany HelloWorld JSON-RPC Sample
popd
#[END]  Tuscany SCA Samples
popd
#[END]  Tuscany Samples
popd
#[START]   Tuscany Scenario Samples
pushd sampleapps
#[START]   Tuscany BigBank Scenario Sample
pushd bigbank
#[START]   Tuscany BigBank Account Module
pushd account
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany BigBank Account Module
popd
#[START]   Tuscany BigBank Web Client Module
pushd webclient
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS}
#[END]    Tuscany BigBank Web Client Module
popd
#[END]   Tuscany BigBank Scenario Sample
popd
##[START]   Tuscany Samples JavaScript
#pushd JavaScript
##[START]   Tuscany Samples - JavaScript - Sample 1 - HelloWorld
#pushd sample1
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 1 - HelloWorld
#popd
##[START]   Tuscany Samples - JavaScript - Sample 2 - Properties
#pushd sample2
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 2 - Properties
#popd
##[START]   Tuscany Samples - JavaScript - Sample 3 - References
#pushd sample3
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 3 - References
#popd
##[START]   Tuscany Samples - JavaScript - Sample 4 - Initialization
#pushd sample4
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 4 - Initialization
#popd
##[START]   Tuscany Samples - JavaScript - Sample 5 - Importing Java classes
#pushd sample5
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 5 - Importing Java classes
#popd
##[START]   Tuscany Samples - JavaScript - Sample 7 - E4X
#pushd sample7
#/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
##[END]   Tuscany Samples - JavaScript - Sample 7 - E4X
#popd
##[END]   Tuscany Samples JavaScript
#popd
#[END]   Tuscany Scenario Samples
popd
#[END] Reactor build

#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/das
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/scenario
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/scenario/bigbank
#for i in `find $(pwd) -name target|xargs`; do
#   if [ -f $i/*.jar ]; then
#      _file=$i/*.jar
#      _filename=`basename $i/*.jar`
#      if [ -f $i/sample-*.jar ]; then
#          install -m 644 $i/*.jar \
#		$RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/$_filename
#      else
#          install -m 644 $i/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$_filename
#      fi
#   fi
#done
#install -m 644 $(pwd)/sampleapps/bigbank/account/target/sample-bigbank-account-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/scenario/bigbank/sample-bigbank-account-incubating-M1.war
#install -m 644 $(pwd)/sampleapps/bigbank/webclient/target/sample-bigbank-webclient-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/scenario/bigbank/sample-bigbank-webclient-incubating-M1.war
#install -m 644 $(pwd)/samples/sca/helloworldweb/target/sample-helloworldweb-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/sample-helloworldweb-incubating-M1.war
#install -m 644 $(pwd)/samples/sca/helloworlde4xws/target/sample-helloworlde4xws-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/sample-helloworlde4xws-incubating-M1.war
#install -m 644 $(pwd)/samples/sca/helloworldjsonrpc/target/sample-helloworldjsonrpc-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/sample-helloworldjsonrpc-incubating-M1.war
#install -m 644 $(pwd)/samples/sca/helloworldjsclient/target/sample-helloworldjsclient-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/sample-helloworldjsclient-incubating-M1.war
#install -m 644 $(pwd)/samples/sca/helloworldws/target/sample-helloworldws-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/sca/sample-helloworldws-incubating-M1.war
#install -m 644 $(pwd)/samples/das/companyweb/target/sample-companyweb-incubating-M1.war $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/das/sample-companyweb-incubating-M1.war

#install -m 644 \
#target/%{usname}-{version}.jar \
#$RPM_BUILD_ROOT%{_javadir}/%{grname}/%{usname}-%{version}.jar

## create unversioned symlinks
#(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
#
## FIXME: no apidocs for now
##install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
##cp -pr target/docs/apidocs/* \
##	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
##
#ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
#install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#
#
#%clean
#rm -rf $RPM_BUILD_ROOT
#
#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%postun javadoc
#if [ "$1" = "0" ]; then
#  rm -f %{_javadocdir}/%{name}
#fi


#%files 
#%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
#%{_javadir}/%{name}/*.jar
#%{_javadir}/%{name}/samples/sca/*.jar
#%{_javadir}/%{name}/samples/sca/*.war
#%{_javadir}/%{name}/samples/das/*.war
#%{_javadir}/%{name}/samples/scenario/bigbank/*.war

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
	das/rdb/target/%{name}-das-rdb-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-das-rdb-%{version_name}.jar
install -m 644 \
	sca/bindings/binding.axis2/target/%{name}-binding-axis2-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-axis2-%{version_name}.jar
#install -m 644 \
#	sca/bindings/binding.celtix/target/%{name}-binding-celtix-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-celtix-%{version_name}.jar
install -m 644 \
	sca/bindings/binding.jsonrpc/target/%{name}-binding-jsonrpc-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-jsonrpc-%{version_name}.jar
install -m 644 \
	sca/common/target/%{name}-common-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-common-%{version_name}.jar
install -m 644 \
	sca/containers/container.java/target/%{name}-container-java-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-container-java-%{version_name}.jar
install -m 644 \
	sca/containers/container.rhino/target/%{name}-container-rhino-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-container-rhino-%{version_name}.jar
install -m 644 \
	sca/core/target/%{name}-core-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-%{version_name}.jar
install -m 644 \
	sca/databinding/sdo/target/%{name}-databinding-sdo-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-databinding-sdo-%{version_name}.jar
install -m 644 \
	sca/model/target/%{name}-model-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-model-%{version_name}.jar
install -m 644 \
	sca/plugins/plugin.java2wsdl/target/%{name}-plugin-java2wsdl-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-plugin-java2wsdl-%{version_name}.jar
install -m 644 \
	sca/plugins/plugin.wsdl2java/target/%{name}-plugin-wsdl2java-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-plugin-wsdl2java-%{version_name}.jar
install -m 644 \
	sca/tomcat/target/%{name}-tomcat-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tomcat-%{version_name}.jar
install -m 644 \
	sca/tools/target/%{name}-sca-tools-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sca-tools-%{version_name}.jar
install -m 644 \
	sdo/impl/target/%{name}-sdo-impl-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-impl-%{version_name}.jar
install -m 644 \
	sdo/plugin/target/%{name}-sdo-plugin-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-plugin-%{version_name}.jar
install -m 644 \
	sdo/tools/target/%{name}-sdo-tools-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-tools-%{version_name}.jar
install -m 644 \
	spec/sca/target/sca-api-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/sca-api-%{version_name}.jar
install -m 644 \
	spec/sdo/target/sdo-api-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/sdo-api-%{version_name}.jar
# create unversion_nameed symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version_name}*; do ln -sf ${jar} ${jar/-%{version_name}/}; done)


install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/das
install -m 644 \
	samples/das/companyweb/target/sample-companyweb-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/das/sample-companyweb.war
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/sampleapps/bigbank
install -m 644 \
	sampleapps/bigbank/account/target/sample-bigbank-account-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/sampleapps/bigbank/sample-bigbank-account.war
install -m 644 \
	sampleapps/bigbank/webclient/target/sample-bigbank-webclient-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/sampleapps/bigbank/sample-bigbank-webclient.war
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample1/target/javascript-sample1-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample2/target/javascript-sample2-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample3/target/javascript-sample3-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample4/target/javascript-sample4-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample5/target/javascript-sample5-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
#install -m 644 \
#	samples/JavaScript/sample7/target/javascript-sample7-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	samples/sca/calculator/target/sample-calculator-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-calculator.jar
install -m 644 \
	samples/sca/customerinfo/target/sample-customerinfo-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-customerinfo.jar
install -m 644 \
	samples/sca/helloworldjsonrpc/target/sample-helloworldjsonrpc-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworldjsonrpc.war
install -m 644 \
	samples/sca/helloworld/target/sample-helloworld-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworld.jar
install -m 644 \
	samples/sca/helloworldweb/target/sample-helloworldweb-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworldweb.war
#install -m 644 \
#	samples/sca/helloworldws-celtix/target/sample-helloworldws-celtix-%{version_name}.jar \
#	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworldws-celtix.jar
install -m 644 \
	samples/sca/helloworldwsclient/target/sample-helloworldwsclient-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworldwsclient.jar
install -m 644 \
	samples/sca/helloworldws/target/sample-helloworldws-%{version_name}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-helloworldws.war
install -m 644 \
	samples/sca/supplychain/target/sample-supplychain-%{version_name}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca/sample-supplychain.jar

#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version_name}
#cp -pr target/docs/apidocs/* \
#	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version_name}
#
#ln -s %{name}-%{version_name} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version_name}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version_name}


%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version_name} %{_javadocdir}/%{name}
#
#%postun javadoc
#if [ "$1" = "0" ]; then
#  rm -f %{_javadocdir}/%{name}
#fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version_name}/LICENSE.txt
%dir %{_javadir}/%{name}

%files das-rdb
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*das-rdb*.jar

%files sca-binding-axis2
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*binding-axis2*.jar

#%files sca-binding-celtix
#%defattr(0644,root,root,0755)
#%{_javadir}/%{name}/*binding-celtix*.jar

%files sca-binding-jsonrpc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*binding-jsonrpc*.jar

%files sca-container-java
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*container-java*.jar

%files sca-container-rhino
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*container-rhino*.jar

%files sca
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*common*.jar
%{_javadir}/%{name}/*core*.jar
%{_javadir}/%{name}/*databinding-sdo*.jar
%{_javadir}/%{name}/*model*.jar
%{_javadir}/%{name}/*tomcat*.jar
%{_javadir}/%{name}/*sca-tools*.jar

%files sca-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-plugin*.jar

%files sdo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sdo-impl*.jar
%{_javadir}/%{name}/*sdo-tools*.jar

%files sdo-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sdo-plugin*.jar

%files specs
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sca-api*.jar
%{_javadir}/%{name}/*sdo-api*.jar

#%files javadoc
#%defattr(0644,root,root,0755)
#%{_javadocdir}/%{name}-%{version_name}
#%ghost %{_javadocdir}/%{name}

#%files manual
#%defattr(0644,root,root,0755)
#%{_docdir}/%{name}-%{version_name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/samples
%{_datadir}/%{name}/sampleapps

%changelog
* Thu Jul 06 2006 Permaine Cheung <pcheung@redhat.com> 0:SNAPSHOT-0.20060511.3jpp
- Improvements and adaptation to new maven2 package

* Fri Jun 02 2006 Ralph Apel <r.apel at r-apel.de> 0:SNAPSHOT-0.20060511.2jpp
- First build 

* Thu May 11 2006 Ralph Apel <r.apel at r-apel.de> 0:SNAPSHOT-0.20060511.1jpp
- First build 
